package com.huawei.hwmdemo.menu;

import android.content.Context;

import com.huawei.cloudlink.smartrooms.uisdk.menu.AudienceMicMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.RaiseHandMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.SettingMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.SubtitlesMenu;
import com.huawei.hwmconf.presentation.dependency.menu.IConfMenu;

import java.util.ArrayList;
import java.util.List;

public class FloatingAudienceToolbarMenuCreator {

    public static List<IConfMenu> createFloatingAudienceToolbarMenus(Context context) {
        List<IConfMenu> confMenus = new ArrayList<>();
        confMenus.add(new AudienceMicMenu(context));
        confMenus.add(new RaiseHandMenu(context));
        return confMenus;
    }

    public static List<IConfMenu> createFloatingAudienceToolbarMoreMenus(Context context) {
        List<IConfMenu> confMenus = new ArrayList<>();
        confMenus.add(new SubtitlesMenu(context));
        confMenus.add(new SettingMenu(context));
        return confMenus;
    }
}
